#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - pam-config installation
#
# Creation   :  2019-01-25 holbru
# Last update:  $Id: postinstall-pam-config.sh 62585 2019-01-25 20:26:08Z hbfl $
#
# Copyright (c) 2019-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=pam-config

# ---------------------------------------------------------------------------
# update-2.8.12
# ---------------------------------------------------------------------------
update_2_8_12()
{
     if [ ! -f /etc/pam.d/common-auth-pc ]
     then
         pam-config --create --force
     else
         pam-config --update ||:
     fi

     dir=/etc/security
     for conf in pam_unix2.conf pam_pwcheck.conf 
     do
         if [ ! -f ${dir}/${conf}.pam-config-backup -a  -f ${dir}/${conf} ]
         then
              mv ${dir}/${conf} ${dir}/${conf}.pam-config-backup
         fi
     done
}
    
# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------
base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
